UserException (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.UserException class

Module java.corba
Package org.omg.CORBA

## Class UserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`
  Direct Known Subclasses:
    `AdapterAlreadyExists`, `AdapterInactive`, `AdapterNonExistent`, `AlreadyBound`, `BadKind`, `Bounds`, `Bounds`, `CannotProceed`, `DuplicateName`, `FormatMismatch`, `ForwardRequest`, `ForwardRequest`, `InconsistentTypeCode`, `InconsistentTypeCode`, `Invalid`, `InvalidAddress`, `InvalidName`, `InvalidName`, `InvalidName`, `InvalidPolicy`, `InvalidSeq`, `InvalidSlot`, `InvalidTypeForEncoding`, `InvalidValue`, `InvalidValue`, `NoContext`, `NoServant`, `NotEmpty`, `NotFound`, `ObjectAlreadyActive`, `ObjectNotActive`, `PolicyError`, `ServantAlreadyActive`, `ServantNotActive`, `TypeMismatch`, `TypeMismatch`, `TypeMismatch`, `UnknownEncoding`, `UnknownUserException`, `WrongAdapter`, `WrongPolicy`, `WrongTransaction`

      public abstract class UserException
      extends Exception
      implements IDLEntity

  The root class for CORBA IDL-defined user exceptions. All CORBA user exceptions are checked exceptions, which means that they need to be declared in method signatures.

  See also documentation on Java IDL exceptions.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `UserException​()` | Constructs a `UserException` object.
    `protected` | `UserException​(String reason)` | Constructs a `UserException` object with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### UserException

          protected UserException​()

      Constructs a `UserException` object. This method is called only by subclasses.

    - #### UserException

          protected UserException​(String reason)

      Constructs a `UserException` object with a detail message. This method is called only by subclasses.
      Parameters:
        `reason` - a `String` object giving the reason for this exception